Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions
h5tbwrite_field_name_f Interface Reference

## Public Member Functions
subroutine | h5tbwrite_field_name_f (loc_id, dset_name, field_name, start, nrecords, type_size, buf, errcode)
| Overwrites field.
subroutine | h5tbwrite_field_name_kind_10_rank_1 (loc_id, dset_name, field_name, start, nrecords, type_size, buf, errcode)
subroutine | h5tbwrite_field_name_kind_16_rank_1 (loc_id, dset_name, field_name, start, nrecords, type_size, buf, errcode)
subroutine | h5tbwrite_field_name_kind_4_rank_1 (loc_id, dset_name, field_name, start, nrecords, type_size, buf, errcode)
subroutine | h5tbwrite_field_name_kind_8_rank_1 (loc_id, dset_name, field_name, start, nrecords, type_size, buf, errcode)

## Constructor & Destructor Documentation

## ◆ h5tbwrite_field_name_f()

subroutine h5tbwrite_field_name_f | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | character(len=*), intent(in) | field_name,
|  | integer(hsize_t), intent(in) | start,
|  | integer(hsize_t), intent(in) | nrecords,
|  | integer(size_t), intent(in) | type_size,
|  | type(type), dimension(*), intent(in) | buf,
|  | integer | errcode )

Overwrites field.

Parameters

  loc_id | Location identifier. The identifier may be that of a file or group.
  dset_name | The name of the dataset to overwrite
  field_name | The names of the fields to write
  start | The zero index record to start writing
  nrecords | The number of records to write
  type_size | The size of the structure type, as calculated by sizeof or storage_size.
  buf | Buffer with data.
  errcode | Returns 0 if successful and -1 if it fails.

See similar C API: H5TBwrite_fields_name()

## Member Function/Subroutine Documentation

## ◆ h5tbwrite_field_name_kind_10_rank_1()

subroutine h5tbwrite_field_name_kind_10_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | character(len=*), intent(in) | field_name,
|  | integer(hsize_t), intent(in) | start,
|  | integer(hsize_t), intent(in) | nrecords,
|  | integer(size_t), intent(in) | type_size,
|  | real(kind=10), dimension(*), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5tbwrite_field_name_kind_16_rank_1()

subroutine h5tbwrite_field_name_kind_16_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | character(len=*), intent(in) | field_name,
|  | integer(hsize_t), intent(in) | start,
|  | integer(hsize_t), intent(in) | nrecords,
|  | integer(size_t), intent(in) | type_size,
|  | real(kind=16), dimension(*), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5tbwrite_field_name_kind_4_rank_1()

subroutine h5tbwrite_field_name_kind_4_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | character(len=*), intent(in) | field_name,
|  | integer(hsize_t), intent(in) | start,
|  | integer(hsize_t), intent(in) | nrecords,
|  | integer(size_t), intent(in) | type_size,
|  | real(kind=4), dimension(*), intent(in), target | buf,
|  | integer | errcode )

## ◆ h5tbwrite_field_name_kind_8_rank_1()

subroutine h5tbwrite_field_name_kind_8_rank_1 | ( | integer(hid_t), intent(in) | loc_id,
|  | character(len=*), intent(in) | dset_name,
|  | character(len=*), intent(in) | field_name,
|  | integer(hsize_t), intent(in) | start,
|  | integer(hsize_t), intent(in) | nrecords,
|  | integer(size_t), intent(in) | type_size,
|  | real(kind=8), dimension(*), intent(in), target | buf,
|  | integer | errcode )

The documentation for this interface was generated from the following files:

- config/toolchain/fortpregen/gfortran/H5TBff_gen.F90
- hl/fortran/src/H5TBff.F90